# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'refcode/version'

Gem::Specification.new do |spec|
  spec.name          = "refcode"
  spec.version       = Refcode::VERSION
  spec.authors       = ["Jordan Sitkin"]
  spec.email         = ["jordan@fiftyfootfoghorn.com"]
  spec.description   = %q{Encrypts and encodes values into URL friendly strings}
  spec.summary       = %q{Hide sensitive data in plain sight, right in your URL}
  spec.homepage      = "http://github.com/dustMason/refcode"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "base64url", "~> 1.0"
  spec.add_runtime_dependency "encryptor", "~> 1.1"

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
end
